Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.api.plugins.quality
[Groovy] Class Pmd

    java.lang.Object
      org.gradle.api.internal.ConventionTask
          org.gradle.api.tasks.SourceTask
              org.gradle.api.plugins.quality.Pmd

All Implemented Interfaces:
  Reporting, VerificationTask

    class Pmd
    extends SourceTask

Runs a set of static code analysis rules on Java source code files and generates a report of problems found.

See Also:
  PmdPlugin

Property Summary
`boolean` | `ignoreFailures` Whether or not to allow the build to continue if there are warnings.
`FileCollection` | `pmdClasspath` The class path containing the PMD library to be used.
`FileCollection` | `ruleSetFiles` The custom rule set files to be used.
`List` | `ruleSets` The built-in rule sets to be used.

Method Summary
`PmdReports` | `getReports()` Returns the reports to be generated by this task.
`PmdReports` | `reports(Closure closure)` Configures the reports to be generated by this task.
`void` | `run()`

Methods inherited from class SourceTask
exclude, exclude, exclude, exclude, getDefaultSource, getExcludes, getIncludes, getSource, include, include, include, include, setExcludes, setIncludes, setSource, source

Property Detail

### ignoreFailures

    boolean ignoreFailures

  Whether or not to allow the build to continue if there are warnings. Example: ignoreFailures = true

### pmdClasspath

    @InputFiles
    FileCollection pmdClasspath

  The class path containing the PMD library to be used.

### ruleSetFiles

    @InputFiles
    FileCollection ruleSetFiles

  The custom rule set files to be used. See the official documentation for how to author a rule set file. Example: ruleSetFiles = files("config/pmd/myRuleSets.xml")

### ruleSets

    @Input
    List ruleSets

  The built-in rule sets to be used. See the official list of built-in rule sets. Example: ruleSets = ["basic", "braces"]

Method Detail

### getReports

    PmdReports getReports()

  Returns the reports to be generated by this task.

### reports

    PmdReports reports(Closure closure)

  Configures the reports to be generated by this task.

### run

    @TaskAction
    void run()

Gradle API 1.1-rc-1